| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | List of all members
Tp::Service::ChannelInterfaceSubjectAdaptor Class Reference
Service-side implementation » Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inheritance diagram for Tp::Service::ChannelInterfaceSubjectAdaptor:
[legend]

## Public Slots

void | SetSubject (const QString &subject, const QDBusMessage &dbusMessage)

## Public Member Functions

QString | Subject () const
QString | Actor () const
uint | ActorHandle () const
qlonglong | Timestamp () const
bool | CanSet () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Subject2".

## Member Function Documentation

## § Subject()

QString Tp::Service::ChannelInterfaceSubjectAdaptor::Subject | ( |  | ) | const

Return the value of the exported D-Bus object property `Subject` of type `QString`.

Adaptees should export this property as a Qt property named 'subject' with type QString.

The human-readable subject on the channel such as the topic in an IRC channel, or the room name in XMPP MUCs.

This property replaces the subject Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

This property may change during the lifetime of the channel and MUST not be included in a channel request.

Returns
  The value of exported property `Subject`.

## § Actor()

QString Tp::Service::ChannelInterfaceSubjectAdaptor::Actor | ( |  | ) | const

Return the value of the exported D-Bus object property `Actor` of type `QString`.

Adaptees should export this property as a Qt property named 'actor' with type QString.

The normalized contact ID representing who last modified the subject, or the empty string if it is not known.

This property replaces the subject-contact Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

Returns
  The value of exported property `Actor`.

## § ActorHandle()

uint Tp::Service::ChannelInterfaceSubjectAdaptor::ActorHandle | ( |  | ) | const

Return the value of the exported D-Bus object property `ActorHandle` of type `uint`.

Adaptees should export this property as a Qt property named 'actorHandle' with type uint.

The handle corresponding to Actor , or 0 if the Actor is unknown.

Returns
  The value of exported property `ActorHandle`.

## § Timestamp()

qlonglong Tp::Service::ChannelInterfaceSubjectAdaptor::Timestamp | ( |  | ) | const

Return the value of the exported D-Bus object property `Timestamp` of type `qlonglong`.

Adaptees should export this property as a Qt property named 'timestamp' with type qlonglong.

A unix timestamp indicating when the subject was last modified, or `INT_MAX64` if unknown.

This property replaces the subject-timestamp Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

Returns
  The value of exported property `Timestamp`.

## § CanSet()

bool Tp::Service::ChannelInterfaceSubjectAdaptor::CanSet | ( |  | ) | const

Return the value of the exported D-Bus object property `CanSet` of type `bool`.

Adaptees should export this property as a Qt property named 'canSet' with type bool.

TRUE if the Subject property can be set by the user by calling SetSubject() , otherwise FALSE.

If implementations are unsure of what this value should be it SHOULD still be set to what it believes the value is. As a result, clients should be aware that SetSubject() can still fail even with this property set to TRUE.

In XMPP it is impossible to know whether an occupant can set the subject as XMPP server implementations are wildly inconsistent.

Returns
  The value of exported property `CanSet`.

## § SetSubject

void Tp::Service::ChannelInterfaceSubjectAdaptor::SetSubject | ( | const QString & | subject,
|  | const QDBusMessage & | dbusMessage
| ) |  |

slot

Begins a call to the exported D-Bus method `SetSubject` on this object.

Adaptees should export this method as a Qt slot with the following signature: void setSubject(const QString& subject, const Tp::Service::ChannelInterfaceSubjectAdaptor::SetSubjectContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Set the room's subject. Clients SHOULD look at the subject flags before calling this method as the user might not have permission to set the subject.

A successful return of this method indicates a successful change in subject, but clients should still listen for changes to the Subject property for further changes by other users or the server.

Parameters

  subject

      The new subject.